#ifndef STA_TACOS_DEBUG_HPP
#define STA_TACOS_DEBUG_HPP

#include <sta/tacos/watchdog.hpp>

/**
 * @defgroup tacos_debugging TACOS Debugging
 * @brief Functions and classes that are used to debugging TACOS.
 * 
 * @details This module contains all functions and classes that are used for debugging TACOS. This is mostly used for writing automated tests.
 */

namespace sta
{
    namespace tacos
    {
#ifdef STA_TACOS_WATCHDOG_ENABLED
		/**
		 * @return uint16_t Returns the number thread restarts performed by the watchdog. Can be used for debugging and testing. 
		 * 
		 * @ingroup tacos_debugging
		 */
		uint16_t getNumThreadRestarts();
#endif // STA_TACOS_WATCHDOG_ENABLED
    } // namespace tacos
} // namespace sta

#endif // STA_TACOS_DEBUG_HPP